// file      : meta/remove-cv.hxx
// author    : Boris Kolpackov <boris@kolpackov.net>
// copyright : Copyright (c) 2008 Boris Kolpackov
// license   : GNU GPL v2; see accompanying LICENSE file

#ifndef META_REMOVE_CV_HXX
#define META_REMOVE_CV_HXX

#include "remove-c.hxx"
#include "remove-v.hxx"

namespace meta
{
  template <typename X>
  struct remove_cv
  {
    typedef typename remove_v<typename remove_c<X>::r>::r r;
  };
}

#endif // META_REMOVE_CV_HXX
